ghcide-2.7.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin.TypeLenses

Description

An HLS plugin to provide code lenses for type signatures

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

suggestSignature :: Bool -> Maybe GlobalBindingTypeSigsResult -> Diagnostic -> [(Text, TextEdit)] #

typeLensCommandId :: Text #

data GlobalBindingTypeSig #

Constructors

GlobalBindingTypeSig |

Fields

- gbName :: Name
- gbRendered :: String
- gbExported :: Bool

data GetGlobalBindingTypeSigs #

Constructors

GetGlobalBindingTypeSigs |

#### Instances

Instances details

Generic GetGlobalBindingTypeSigs # |

Instance details

Defined in Development.IDE.Plugin.TypeLenses

Associated Types

type Rep GetGlobalBindingTypeSigs |
Instance details Defined in Development.IDE.Plugin.TypeLenses type Rep GetGlobalBindingTypeSigs = D1 ('MetaData "GetGlobalBindingTypeSigs" "Development.IDE.Plugin.TypeLenses" "ghcide-2.7.0.0-4RFlm38cSV494413rRqzNs" 'False) (C1 ('MetaCons "GetGlobalBindingTypeSigs" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: GetGlobalBindingTypeSigs -> Rep GetGlobalBindingTypeSigs x #

to :: Rep GetGlobalBindingTypeSigs x -> GetGlobalBindingTypeSigs #

Show GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods showsPrec :: Int -> GetGlobalBindingTypeSigs -> ShowS # show :: GetGlobalBindingTypeSigs -> String # showList :: [GetGlobalBindingTypeSigs] -> ShowS #
NFData GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods rnf :: GetGlobalBindingTypeSigs -> () #
Eq GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods (==) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool # (/=) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool #
Ord GetGlobalBindingTypeSigs # |

Instance details

Defined in Development.IDE.Plugin.TypeLenses

Methods

compare :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Ordering #

(<) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool #

(<=) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool #

(>) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool #

(>=) :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> Bool #

max :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs #

min :: GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs -> GetGlobalBindingTypeSigs #

Hashable GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods hashWithSalt :: Int -> GetGlobalBindingTypeSigs -> Int # hash :: GetGlobalBindingTypeSigs -> Int #
type Rep GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses type Rep GetGlobalBindingTypeSigs = D1 ('MetaData "GetGlobalBindingTypeSigs" "Development.IDE.Plugin.TypeLenses" "ghcide-2.7.0.0-4RFlm38cSV494413rRqzNs" 'False) (C1 ('MetaCons "GetGlobalBindingTypeSigs" 'PrefixI 'False) (U1 :: Type -> Type))
type RuleResult GetGlobalBindingTypeSigs # |
Instance details Defined in Development.IDE.Plugin.TypeLenses type RuleResult GetGlobalBindingTypeSigs = GlobalBindingTypeSigsResult

newtype GlobalBindingTypeSigsResult #

Constructors

GlobalBindingTypeSigsResult [GlobalBindingTypeSig] |

#### Instances

Instances details

Show GlobalBindingTypeSigsResult # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods showsPrec :: Int -> GlobalBindingTypeSigsResult -> ShowS # show :: GlobalBindingTypeSigsResult -> String # showList :: [GlobalBindingTypeSigsResult] -> ShowS #
NFData GlobalBindingTypeSigsResult # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods rnf :: GlobalBindingTypeSigsResult -> () #

data Log #

Constructors

LogShake Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Plugin.TypeLenses Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #